Summary: Elastix is a Web based software to administrate a PBX based in open source programs
Name: elastix
Vendor: Palosanto Solutions S.A.
Version: 2.0.0
Release: 10
License: GPL
Group: Applications/System
Source: elastix_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: iaxmodem, hylafax, asterisk, wanpipe-util >= 3.4.1-4, openfire, /sbin/chkconfig, /etc/sudoers, sudo
Prereq: php, php-sqlite3, php-gd, php-pear, php-pear-DB, php-xml, php-mysql, php-pdo, php-imap
Prereq: httpd, mysql-server, ntp, postfix, nmap, elastix-sugarcrm, RoundCubeMail, mod_ssl, spamassassin
Prereq: tftp-server, vsftpd, perl, cyrus-imapd
Prereq: freePBX >= 2.5.1
Obsoletes: freePBX < 2.5.1
Obsoletes: elastix-additionals
Provides: elastix-additionals

%description
Elastix is a Web based software to administrate a PBX based in open source programs


%prep
%setup -n elastix

%install
## ** Step 1: Creation path for the installation ** ##
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# ** /var path ** #
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin
mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/mohmp3
mkdir -p $RPM_BUILD_ROOT/var/log/iaxmodem
mkdir -p $RPM_BUILD_ROOT/var/spool/hylafax/bin
mkdir -p $RPM_BUILD_ROOT/var/spool/hylafax/etc
mkdir -p $RPM_BUILD_ROOT/var/www/db
mkdir -p $RPM_BUILD_ROOT/var/www/html
mkdir -p $RPM_BUILD_ROOT/var/www/backup
mkdir -p $RPM_BUILD_ROOT/var/www/html/faxes
mkdir -p $RPM_BUILD_ROOT/var/www/html/faxes/recvd
mkdir -p $RPM_BUILD_ROOT/var/www/html/faxes/sent
#mkdir -p $RPM_BUILD_ROOT/var/ftp/config

# ** /usr path ** #
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/elastix
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/elastix
mkdir -p $RPM_BUILD_ROOT/usr/share/pear/DB

# ** /etc path ** #
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/etc/dahdi
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/php.d
mkdir -p $RPM_BUILD_ROOT/etc/postfix
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d

# ** /bin path ** #
mkdir -p $RPM_BUILD_ROOT/bin

# ** /tftpboot path ** #
mkdir -p $RPM_BUILD_ROOT/tftpboot


## ** Step 2: Installation of files and folders ** ##
# ** Installating framework elastix webinterface ** #
mv $RPM_BUILD_DIR/elastix/framework/db/*                                $RPM_BUILD_ROOT/var/www/db/
mv $RPM_BUILD_DIR/elastix/framework/html/*                              $RPM_BUILD_ROOT/var/www/html/

# ** Installating modules elastix webinterface ** #
rm -rf $RPM_BUILD_ROOT/var/www/html/modules/userlist/  # Este modulo no es el modificado para soporte de correo, eso se encuentra en modules-core
#mv $RPM_BUILD_DIR/elastix/modules-core/*                                $RPM_BUILD_ROOT/var/www/html/modules/

# ** Installating additionals elastix webinterface ** #
mv $RPM_BUILD_DIR/elastix/additionals/db/*                              $RPM_BUILD_ROOT/var/www/db/
mv $RPM_BUILD_DIR/elastix/additionals/html/libs/*                       $RPM_BUILD_ROOT/var/www/html/libs/
rm -rf $RPM_BUILD_DIR/elastix/additionals/html/libs/
mv $RPM_BUILD_DIR/elastix/additionals/html/*                            $RPM_BUILD_ROOT/var/www/html/

# ** Fax Visor additional config ** #
chmod -R 755 $RPM_BUILD_ROOT/var/www/html/faxes
chmod    777 $RPM_BUILD_ROOT/var/www/db/
#chmod    777 $RPM_BUILD_ROOT/var/www/db/fax.db

# ** Hylafax config with elastix ** #
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/bin/includes                 $RPM_BUILD_ROOT/var/spool/hylafax/bin/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/bin/faxrcvd-elastix.php      $RPM_BUILD_ROOT/var/spool/hylafax/bin/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/bin/faxrcvd.php              $RPM_BUILD_ROOT/var/spool/hylafax/bin/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/bin/notify-elastix.php       $RPM_BUILD_ROOT/var/spool/hylafax/bin/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/bin/notify.php               $RPM_BUILD_ROOT/var/spool/hylafax/bin/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/etc/FaxDictionary            $RPM_BUILD_ROOT/var/spool/hylafax/etc/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/etc/config                   $RPM_BUILD_ROOT/var/spool/hylafax/etc/
mv $RPM_BUILD_DIR/elastix/additionals/hylafax/etc/setup.cache              $RPM_BUILD_ROOT/var/spool/hylafax/etc/
chmod -R 755 $RPM_BUILD_ROOT/var/spool/hylafax/bin/includes
chmod    755 $RPM_BUILD_ROOT/var/spool/hylafax/bin/faxrcvd.php
chmod    755 $RPM_BUILD_ROOT/var/spool/hylafax/bin/faxrcvd-elastix.php
chmod    755 $RPM_BUILD_ROOT/var/spool/hylafax/bin/notify.php
chmod    755 $RPM_BUILD_ROOT/var/spool/hylafax/bin/notify-elastix.php

# ** Httpd and Php config ** #
mv $RPM_BUILD_DIR/elastix/additionals/etc/httpd/conf.d/elastix.conf        $RPM_BUILD_ROOT/etc/httpd/conf.d/
mv $RPM_BUILD_DIR/elastix/additionals/etc/php.d/elastix.ini                $RPM_BUILD_ROOT/etc/php.d/

# ** crons config ** #
mv $RPM_BUILD_DIR/elastix/additionals/etc/cron.d/elastix.cron              $RPM_BUILD_ROOT/etc/cron.d/
chmod 644 $RPM_BUILD_ROOT/etc/cron.d/*
mv $RPM_BUILD_DIR/elastix/additionals/etc/cron.daily/asterisk_cleanup      $RPM_BUILD_ROOT/etc/cron.daily/
chmod 755 $RPM_BUILD_ROOT/etc/cron.daily/*

# ** postfix config ** #
mv $RPM_BUILD_DIR/elastix/additionals/etc/postfix/virtual.db               $RPM_BUILD_ROOT/usr/share/elastix/

# ** Repos config ** #
mv $RPM_BUILD_DIR/elastix/additionals/etc/yum.repos.d/CentOS-Base.repo     $RPM_BUILD_ROOT/usr/share/elastix/
mv $RPM_BUILD_DIR/elastix/additionals/etc/yum.repos.d/elastix.repo         $RPM_BUILD_ROOT/etc/yum.repos.d/

# ** sudoers config ** #
mv $RPM_BUILD_DIR/elastix/additionals/etc/sudoers                          $RPM_BUILD_ROOT/usr/share/elastix/

# ** /usr/local/ files ** #
mv $RPM_BUILD_DIR/elastix/additionals/usr/local/bin/spamfilter.sh          $RPM_BUILD_ROOT/usr/local/bin/
mv $RPM_BUILD_DIR/elastix/additionals/usr/local/elastix/sampler.php        $RPM_BUILD_ROOT/usr/local/elastix/
mv $RPM_BUILD_DIR/elastix/additionals/usr/local/sbin/motd.sh               $RPM_BUILD_ROOT/usr/local/sbin/
chmod 755 $RPM_BUILD_ROOT/usr/local/sbin/motd.sh

# ** /usr/share/ files ** #
mv $RPM_BUILD_DIR/elastix/additionals/usr/share/elastix/menusAdminElx      $RPM_BUILD_ROOT/usr/share/elastix/
mv $RPM_BUILD_DIR/elastix/additionals/usr/share/pear/DB/sqlite3.php        $RPM_BUILD_ROOT/usr/share/pear/DB/

# ** hardware_detector file ** #
mv $RPM_BUILD_DIR/elastix/additionals/usr/sbin/hardware_detector           $RPM_BUILD_ROOT/usr/sbin/

# ** elastix-menumerge file ** #
mv $RPM_BUILD_DIR/elastix/additionals/usr/bin/elastix-menumerge            $RPM_BUILD_ROOT/usr/bin/

# ** asterisk.reload file ** #
mv $RPM_BUILD_DIR/elastix/additionals/bin/asterisk.reload                  $RPM_BUILD_ROOT/bin/
chmod 755 $RPM_BUILD_ROOT/bin/asterisk.reload

# ** files tftpboot for endpoints configurator ** #
unzip $RPM_BUILD_DIR/elastix/additionals/tftpboot/P0S3-08-8-00.zip  -d     $RPM_BUILD_ROOT/tftpboot/
mv $RPM_BUILD_DIR/elastix/additionals/tftpboot/GS_CFG_GEN.tar.gz           $RPM_BUILD_ROOT/usr/share/elastix/
#tar -xvzf $RPM_BUILD_DIR/elastix/additionals/tftpboot/GS_CFG_GEN.tar.gz -C $RPM_BUILD_ROOT/tftpboot/ # Da algunos mensajes de warning, esto se puede obviar.
mv $RPM_BUILD_DIR/elastix/additionals/tftpboot/*                           $RPM_BUILD_ROOT/tftpboot/

#copio los agi y sonidos personalizados
chown -R asterisk.asterisk $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/
#chown -R asterisk.asterisk $RPM_BUILD_ROOT/var/lib/asterisk/sounds/

# ** files asterisk for agi-bin and mohmp3 ** #
mv $RPM_BUILD_DIR/elastix/additionals/asterisk/agi-bin/*                   $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/
chmod 755 $RPM_BUILD_ROOT/var/lib/asterisk/agi-bin/*
mv $RPM_BUILD_DIR/elastix/additionals/asterisk/mohmp3/*                    $RPM_BUILD_ROOT/var/lib/asterisk/mohmp3/

# ** The following selects oslec as default echo canceller ** #
echo "echo_can oslec" > $RPM_BUILD_ROOT/etc/dahdi/genconf_parameters

# Remplazo archivos de Postfix y Cyrus
mv $RPM_BUILD_DIR/elastix/additionals/etc/imapd.conf.elastix               $RPM_BUILD_ROOT/etc/
mv $RPM_BUILD_DIR/elastix/additionals/etc/postfix/main.cf.elastix          $RPM_BUILD_ROOT/etc/postfix/

# Archivos tftp and ftp
mv $RPM_BUILD_DIR/elastix/additionals/etc/xinetd.d/tftp                    $RPM_BUILD_ROOT/usr/share/elastix/
#mv $RPM_BUILD_DIR/elastix/additionals/etc/vsftpd/vsftpd.conf               $RPM_BUILD_ROOT/usr/share/elastix/
#mv $RPM_BUILD_DIR/elastix/additionals/etc/vsftpd.user_list                 $RPM_BUILD_ROOT/etc/

%pre
#Para conocer la version de elastix antes de actualizar o instalar
#mkdir -p /usr/share/elastix/
#touch /usr/share/elastix/pre_elastix_version.info
#rpm -q --queryformat='%{VERSION}' elastix > /usr/share/elastix/pre_elastix_version.info

# if not exist add the asterisk group
grep -c "^asterisk:" %{_sysconfdir}/group &> /dev/null
if [ $? = 1 ]; then
    echo "   0:adding group asterisk..."
    /usr/sbin/groupadd -r -f asterisk
else
    echo "   0:group asterisk already present"
fi

# ****Agregar el usuario cyrus con el comando saslpasswd2:
echo "palosanto" | /usr/sbin/saslpasswd2 -c cyrus -u example.com

# Modifico usuario asterisk para que tenga "/bin/bash" como shell
/usr/sbin/usermod -c "Asterisk VoIP PBX" -g asterisk -s /bin/bash -d /var/lib/asterisk asterisk

# TODO: TAREA DE POST-INSTALACIÓN
#useradd -d /var/ftp -M -s /sbin/nologin ftpuser
#(echo asterisk2007; sleep 2; echo asterisk2007) | passwd ftpuser

# Try to fix mess left behind by previous packages.
if [ -e /etc/vsftpd.user_list ] ; then
    echo "   NOTICE: broken vsftpd detected, will try to fix..."
    cp /etc/vsftpd.user_list /tmp/
fi

%post
######### Administration Menus and permission ###############
#. /usr/share/elastix/menusAdminElx `cat /usr/share/elastix/pre_elastix_version.info`
################## End Administration Menus and permission ##########################

# TODO: tarea de post-instalación.
# Habilito inicio automático de servicios necesarios
chkconfig --level 2345 hylafax on
chkconfig --level 2345 iaxmodem on
chkconfig --level 345 ntpd on
chkconfig --level 345 mysqld on
chkconfig --level 345 httpd on
chkconfig --level 345 saslauthd on
chkconfig --level 345 cyrus-imapd on
chkconfig --level 345 postfix on
chkconfig --del cups  &> /dev/null
chkconfig --del gpm   &> /dev/null

# Unpack tarball with binary files.
tar -xzf $RPM_BUILD_ROOT/usr/share/elastix/GS_CFG_GEN.tar.gz -C /tftpboot

# If openfire is not running probably we're in the distro installation process
# So, i configure openfire init script as stopped by default
/sbin/service openfire status | grep "not running" &>/dev/null
res=$?
# Openfire esta apagado
if [ $res -eq 0 ]; then
    # Desactivo el servicio openfire al inicio
    chkconfig --level 2345 openfire off
fi

# Cambiar permisos del archivo /etc/sasldb2 a 644 
chmod 644 /etc/sasldb2

# TODO: TAREA DE POST-INSTALACIÓN
# Tareas de VSFTPD
#chkconfig --level 2345 vsftpd on
#chmod 777 /var/ftp/config

# TODO: TAREA DE POST-INSTALACIÓN
# Tareas de TFTP
chmod 777 /tftpboot/

# TODO: TAREA DE POST-INSTALACIÓN
# Reemplazo archivos de otros paquetes: tftp, vsftp
cat $RPM_BUILD_ROOT/usr/share/elastix/tftp        > /etc/xinetd.d/tftp
#cat $RPM_BUILD_ROOT/usr/share/elastix/vsftpd.conf > /etc/vsftpd/vsftpd.conf

# Creo el archivo /etc/postfix/network_table if not exixts
if [ ! -f "/etc/postfix/network_table" ]; then
    touch /etc/postfix/network_table
    echo "127.0.0.1/32" >  /etc/postfix/network_table
fi

# Verifo si existe virtual.db para previa installation
if [ ! -f /etc/postfix/virtual.db ]; then
   mv /usr/share/elastix/virtual.db /etc/postfix/virtual.db
   chown root:root /etc/postfix/virtual.db
else
   rm -f /usr/share/elastix/virtual.db
fi

# TODO: TAREA DE POST-INSTALACIÓN
# Cambio archivos de Postfix e Imapd con los de Elastix
# Only replace main.cf on install  and user spamfilter create
if [ $1 -eq 1 ]; then
    mv /etc/imapd.conf /etc/imapd.conf.orig
    cp /etc/imapd.conf.elastix /etc/imapd.conf

    mv /etc/postfix/main.cf  /etc/postfix/main.cf.orig
    cp /etc/postfix/main.cf.elastix /etc/postfix/main.cf

    # Create the user spamfilter 
    /usr/sbin/useradd spamfilter
fi

# ** Change content of sudoers ** #
cat   /usr/share/elastix/sudoers > /etc/sudoers
rm -f /usr/share/elastix/sudoers

# ** Change content of CentOS-Base.repo ** #
cat   /usr/share/elastix/CentOS-Base.repo > /etc/yum.repos.d/CentOS-Base.repo
rm -f /usr/share/elastix/CentOS-Base.repo

# Patch httpd.conf so that User and Group directives in elastix.conf take effect
sed --in-place "s,User\sapache,#User apache,g" /etc/httpd/conf/httpd.conf
sed --in-place "s,Group\sapache,#Group apache,g" /etc/httpd/conf/httpd.conf

# Agrego Enlaces para Hylafax, ESTO AL PARECER LO HACE EL RPM DE HYLAFAX
ln -f -s pdf2fax.gs /var/spool/hylafax/bin/pdf2fax
ln -f -s ps2fax.gs  /var/spool/hylafax/bin/ps2fax

# Elimino archivos de fax que sobran
rm -f /etc/iaxmodem/iaxmodem-cfg.ttyIAX
rm -f /var/spool/hylafax/etc/config.ttyIAX

# Para las actualizaciones verifico si existe la directiva FaxRcvdCmd
# esta fue agragada para corregir el bug de conflicto con el rpm hylafax
for i in `ls /var/spool/hylafax/etc/config.* 2>/dev/null`; do
  if [ "$i" != "/var/spool/hylafax/etc/config.sav" ]; then
    if [ "$i" != "/var/spool/hylafax/etc/config.devid" ]; then
      tilde=`echo $i | grep '~'`
      if [ "$?" -eq "1" ]; then
        if [ ! -L "$i" ]; then
          line="FaxRcvdCmd:              bin/faxrcvd.php"
          grep $line "$i" &>/dev/null
          res=$?
          if [ ! $res -eq 0 ]; then # no exists line
            echo "$line" >> $i
          fi
        fi
      fi
    fi
  fi
done

# Cambio de nombre de carpetas de faxes, esto es desde elastix 1.4
if [ -d "/var/www/html/faxes/recvq" ]; then 
        mv /var/www/html/faxes/recvq/* /var/www/html/faxes/recvd
        rm -rf /var/www/html/faxes/recvq
fi

if [ -d "/var/www/html/faxes/sendq" ]; then
        mv /var/www/html/faxes/sendq/* /var/www/html/faxes/sent
        rm -rf /var/www/html/faxes/sendq
fi

# Actualizacion About Version Release
# Verificar si en la base ya existe algo
if [ "`sqlite3 /var/www/db/settings.db "select count(key) from settings where key='elastix_version_release';"`" = "0" ]; then
    `sqlite3 /var/www/db/settings.db "insert into settings (key, value) values('elastix_version_release','%{version}-%{release}');"`
else
    #Actualizar
    `sqlite3 /var/www/db/settings.db "update settings set value='%{version}-%{release}' where key='elastix_version_release';"`
fi

# Para q se actualice smarty (tpl updates)
rm -rf /var/www/html/var/templates_c/*

# Detect need to fix up vsftpd configuration
if [ -e /tmp/vsftpd.user_list ] ; then
    echo "   NOTICE: fixing up vsftpd configuration..."
    # userlist_deny=NO
    sed --in-place "s,userlist_deny=NO,#userlist_deny=NO,g" /etc/vsftpd/vsftpd.conf
    rm -f /tmp/vsftpd.user_list
fi

%preun
# Reverse the patching of httpd.conf
sed --in-place "s,#User\sapache,User apache,g" /etc/httpd/conf/httpd.conf
sed --in-place "s,#Group\sapache,Group apache,g" /etc/httpd/conf/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

# basic contains some reasonable sane basic tiles
%files
%defattr(-, asterisk, asterisk)
/var/www/html/*
/var/lib/asterisk/*
/var/www/db
/var/www/backup
%config(noreplace) /var/www/db/*
%defattr(-, root, root)
/usr/share/elastix/*
/usr/share/pear/DB/sqlite3.php
/usr/local/elastix/sampler.php
/usr/local/bin/spamfilter.sh
/usr/local/sbin/motd.sh
/usr/sbin/hardware_detector
/usr/bin/elastix-menumerge
%config(noreplace) /etc/cron.d/elastix.cron
/etc/cron.daily/asterisk_cleanup
%config(noreplace) /etc/httpd/conf.d/elastix.conf
%config(noreplace) /etc/php.d/elastix.ini
%config(noreplace) /etc/dahdi/genconf_parameters
%config(noreplace) /etc/yum.repos.d/elastix.repo
/etc/imapd.conf.elastix
/etc/postfix/main.cf.elastix
/var/spool/hylafax/bin/*
/var/spool/hylafax/etc/setup.cache
/bin/asterisk.reload
/tftpboot/*
%dir
/var/log/iaxmodem
%defattr(-, uucp, uucp)
%config(noreplace) /var/spool/hylafax/etc/FaxDictionary
%config(noreplace) /var/spool/hylafax/etc/config

%changelog
* Fri Dec 04 2009 Bruno Macias V >bmacias@palosanto.com> 2.0.0-10
- Fixed the correct url to mirrorlist for RPMs repo .
- Fixed bugs in global definitions variable $arrConf and $arrLang.
- New look elastixwave, this will be default theme.

* Fri Oct 23 2009 Bruno Macias V >bmacias@palosanto.com> 2.0.0-9
- Fixed bug, file elastix.repo url to version 2 in repos and mirrorlist.

* Fri Oct 23 2009 Bruno Macias V >bmacias@palosanto.com> 2.0.0-8
- Fixed bug, file elastix.cron  BAD FILE MODE 755 to 644
- Improved, script hardware_detector for write file chan_dahdi.conf
- Fixed bugs, module remote smtp - bad config.
- Fixed bug module hardware detector, validation ports range improved.

* Mon Oct 19 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-7
- New theme elastix, elastixblue. This theme is alpha

* Sat Oct 17 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-6
- Fixed definitions words and messages in same modules.
- Update framework elastix for support RPM install modules. This feature is to elastix 2.0.
- Validation login when a user administrator, now user will see the main menu sysinfo.
- Fixed minor bugs, definition languages and definition format variables php in module backup restore.
- Fixed bug, user of email not created by webinterface, error imap.
- Fixed bug, user spamfilter for execute the script antispam was created.
- Fixed bugs for support commands of root for user asterisk in PATH variable. This is for script hardware_detection

* Fri Sep 18 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-5
- Script for desintall menus elastix.

* Tue Sep 07 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-4
- Alpha 3 test genrated.

* Mon Sep 07 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-3
- Fixed Bug in email configuration, delete @example.com and validation in email box when not exits. 
- Try new strategy for language file inclusion that tries to ensure that a string will have an English translation as a fallback if no localized string is available.
- Add more debugging information on error path. paloSantoDB.class.php

* Thu Aug 27 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-2
- Script menusAdmunElx comment, this script is obsolete for elastix 2.0.0
- Fixed bug images not found in module summary by extension.

* Wed Aug 26 2009 Bruno Macias V. <bmacias@palosanto.com> 2.0.0-1
- Version 2.0.0-1 
- Script for menus and acls process elastix-menumerge.

* Thu Aug 13 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 2.0-2test
- Require newer version of wanpipe-util for hardware_detector.
- Do not mess up with vsftpd configuration anymore (inherited from
  elastix-additionals, elastix-1.6-7).
- Try to patch vsftpd configuration to restore proper behavior which
  was broken from previous versions.

* Mon Jul 27 2009 Bruno Macias <bmacias@palosanto.com> 2.0-1test
- Prueba de genracion de modulos rpms.

* Tue Jun 23 2009 Mauro Avecilla <mavecilla@palosanto.com> 1.6-5.1
- Personalizacion para Mtech.

* Tue Jun 02 2009 Bruno Macias V <bmacias@palosanto.com> 1.6-5.1
- Fixed bug with hylafax files (configs and bin files), conflict with rpm hylafax resolved.
- In paloSantoFax.class.php now defined FaxRcvdCmd keyword to use of hylafax.
- New files faxrcvd.php and faxrcvd-elastix.php to define script after process fax recived.
- Keyword FaxRcvdCmd on file config.ttyIAX* added, for avoid replace file faxrcvd.

* Mon Jun 01 2009 Bruno Macias V <bmacias@palosanto.com> 1.6-4
- Fixed some traductions not defined in files languages elastix.
- Path static in elastix now are dynamic, elastix can be relocalitation.
- Fixed bug security, files backups of elastix now are in /var/www/backup/
- Id module Email changed to email_admin, freebpx used the same id for voicemails.
- Login in web interface now permit user with piriod.
- Changed message login in console elastix.

* Tue May 26 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.6-3
- Elastix package now provides elastix-additionals as well, to ease update to new package.
- Partially revert change to unpack /tftpboot at %%install, since some files are ELF and
  generate unwanted dependencies. These files are so be served to remote clients, not
  used locally.
- Properly mark several configuration files as %%config(noreplace)

* Mon May 18 2009 Bruno Macias <bmacias@palosanto.com> 1.6-2
- Files in /tftpboot, are now installed in instalation time.
- Obsoletes elastix-additionals

* Sat May 16 2009 Bruno Macias <bmacias@palosanto.com> 1.6-1
- New structure of content tar elastix. Now have three folders: additionals, framework and modules.
- Split webinterface in modules and framework foders.
- Configuration additionals be in additionals folders.
- Specs elastix was added news implementation for delete rpm elastix-additionals.


* Tue May  5 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5.2-2.3
- Loosen up dependency on wanpipe-util. Now only its presence is required, 
  not a specific version.

* Sat Apr 25 2009 Bruno Macias <bmacias@palosanto.com> 1.5.2-2.2
- Fixed bug in validation call center parameter (module callcenter_config), the bug was in paloSantoValidator.class.php

* Fri Apr 24 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5.2-2.1
- Do not provide a patched wancfg_zaptel.pl, since wanpipe-util-3.3.16 
  is now patched to provide the changes.

* Tue Mar 31 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5.2-2
- Do not overwrite existing httpd.conf. Instead, move most configuration
  changes to elastix.conf in /etc/httpd/conf.d and comment out User
  and Group directives so that the ones on elastix.conf take effect.
  Also, reverse commenting-out at %%preun so httpd.conf is returned to
  pre-Elastix state.
- Remove unnecessary manipulations of elastix.ini at %%post, instead place
  it at its final place in /etc/php.d/ at %%install .
- Add /etc/dahdi/genconf_parameters as standard managed file instead of
  generating it at %%post .
- Add /var/spool/hylafax/etc/FaxDictionary as standard managed file instead
  of copying it over at %%post .
- Do not change ownership of /var/www/html/* to asterisk, made unnecessary
  by %%defattr in spec.
- Attempt to restore wancfg_zaptel.pl on %%preun .

* Thu Mar 26 2009 Bruno Macias <bmacias@palosanto.com> 1.5.2-1
- Better reorganization repos elastix.
- Enabled dectection sangona cards in hardware detector web interface.

* Wed Mar 18 2009 Bruno Macias <bmacias@palosanto.com> 1.5-9
- Fixed bug when choose spanish language.
- Changed currency argentinian.

* Sat Mar 14 2009 Bruno Macias <bmacias@palosanto.com> 1.5-8
- Fixed bug in adress Book reported by Saleh Madi
- New locate languages modules in themselves.
- Fixed bug integration wiht freePBX in file pbxadmin/index.php in function module_getinfo.

* Mon Mar 09 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5-7
- Relax dependency on wanpipe-util

* Thu Feb 26 2009 Bruno Macias <bmacias@palosanto.com> 1.5-6
  - Delete module echo canceller in web interface Elastix.
  - Standarization, languages in each module.

* Wed Feb 25 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5-5
  - Add session.save_path override to elastix.ini. Required because
    installation changes httpd process owner to asterisk, which does
    not have write permission on /var/lib/php/session

* Mon Feb 16 2009 Alex Villacis Lasso <a_villacis@palosanto.com> 1.5-4
  - Add php-pdo to dependency list
  - Do not overwrite /etc/php.ini - just create new elastix.ini with required variable changes
  - Updated wancfg_zaptel.pl patch for wanpipe-util 3.3.15

* Fri Feb 06 2009 Bruno Macias <bmacias@palosanto.com> 1.5-3
  - Release beta3 1.5-3
  - updated kernel to 2.6.18-92.1.22.el5.
  - RPMS Sangoma created.

* Tue Feb 03 2009 Bruno Macias <bmacias@palosanto.com> 1.5-2
  - Release beta2 1.5-2
 
* Fri Jan 30 2009 Bruno Macias <bmacias@palosanto.com> 1.5-1
  - Release beta 1.5-1
  - Changed module billing_report zaptel by dahdi [#148]
  - Soport DAHDI
  - Asterisk 1.4.23.1 

* Thu Jan 29 2009 Bruno Macias <bmacias@palosanto.com> 1.4-5
  - Fixed bug, names of folder faxes remane this in /var/www/html/faxes/
  - Changed module hardware_detector zaptel by dahdi [#148]
  - Changed module billing_report zaptel by dahdi [#148]
  - Changed module billing_setup zaptel by dahdi [#148]
  - Changed module graphic_report zaptel by dahdi [#148]
  - Changed module dest_distribution zaptel by dahdi [#148]
  - Changed module backup-restore zaptel by dahdi [#148]
  - paloSantoCDR.class.php and paloSantoTrunk.class.php implementation with dahdi [#148]
  - cron /usr/local/elastix/sampler.php implementation with dahdi [#148]

* Wed Jan 14 2009 Bruno Macias <bmacias@palosanto.com> 1.4-4
  - Version rc.
  - Fax Visor show faxes sent. [#138]

* Fri Nov 28 2008 Bruno Macias <bmacias@palosanto.com> 1.4-3
  - Version beta3.
  - Fixed bug extensions_batch, voicemails not work [#137].
  - Fixed bug not show images in freePBX embedded [#135].
  - Fixed bug CDRReport duplicated rows [#136].

* Fri Nov 28 2008 Bruno Macias <bmacias@palosanto.com> 1.4-2
  - Version beta2.
  - Extension Batch fixed bug with changed of meta data asterisk and hints in configs files sip [#129].
  - Endpoint Configuration better functionality and interaction in process network scan [#130].
  - Calendar fixed bug,not dialing an external number [#116].
 
* Tue Nov 10 2008 Bruno Macias <bmacias@palosanto.com> 1.4-1
  - Version beta.
  - Fixed bug with freePBX, definition GLOBAL for _guielement_tabindex, _guielement_formfields. This bug not shows the extension menu.
  - Creation new Text to Wav module, user could create your own records [#18].
  - Update help files embedded, so as the creation in missed modules [#16]. 
  - Hardware mISDN now detection in module hardware_detector [#53].
  - Update file wakeup.php, version 2.0 [#59].
  - New place for help files, now this files integrated with the own module. Creation folder images, help, 
    Files Languages split for each module, the folder lang is now in them [#95].
  - Update languages Bulgaro, French and Persa [#94].
  - Update the content in files help embedded [#104].
  - Fixed bug in paloSantoDB, conecction to othet ip host. [#118] 
  - New module graphic reports, reports by extensions, trunks and queues [#33] [#34].
  - Fixed bug in module dashboard, the resize now is constant [#86].
  - Update file config for Atcom, this is used in module endpoints_configuration [#97].
  - Changed words "Losed" by "Lost" and "segs" by "secs" in module dashboard [#98].
  - Fixed bug in paloSantoDashboars.class.php (Dashboard module), changed {localhost:143} by {localhost:143/notls} [#120].
  - Fixed bug in Extension Batch module, order the name the header and any validation [#102].
  - Fixed bug in calendar module, now update create column call_to [#100].
  - New module (extra) AvantFAX, this module not include by default [#7].
  - New interfaz, user configure your voicemails (PBX->VoiceMail) [#31].
  - Asterisk Log now have the option of search pattern words [#72].
  
* Tue Sep 24 2008 Bruno Macias <bmacias@palosanto.com> 1.3-2
  - Fixed bug in module address book (paging not work fine).

* Fri Sep 12 2008 Bruno Macias <bmacias@palosanto.com> 1.3-1
  - Add Prereq spamassassin for elastix rpm, this is used in module antispam.
  - In module hardware_detection now support sangoma cards, new scrip hardware_detector in /usr/sbin
  - Custom scrip wancfg_zaptel.pl, elastix defined files configs con *.wanpipe

* Fri Sep 05 2008 Bruno Macias <bmacias@palosanto.com> 1.2.1-4
  - Delete comment about faxvisor.
  - New module antispam, this spec add implementation for pre configuration, file spamfilter.sh in path /usr/local/bin
  - Fixed bug, whe update elastix the file /etc/postfix/network_table losed your content

* Mon Sep 01 2008 Bruno Macias <bmacias@palosanto.com> 1.2-4
  - Increase release for rc2.

* Thu Aug 28 2008 Bruno Macias <bmacias@palosanto.com> 1.2-3
  - Integration modules address book and Calendar, now you can generate calls to another phones.
  - Fixed bug in Roundcube, asosiate with the send attachment. Review spec roundcube. 
  - Module Extension Batch add field Outbound CID and fixed bug with the field Direct DID when show null.

* Fri Aug 22 2008 Bruno Macias <bmacias@palosanto.com> 1.2-2
  - Fixed error with xajax and firefox 3.
  - Integration Elastix and Roundcube better, user and password can be changed in settings of Roundcube.

* Mon Aug 11 2008 Bruno Macias <bmacias@palosanto.com> 1.1-8
  - Change rpm freePBX, version 2.4.0.0, bug fixed.

* Tue Jul 08 2008 Bruno Macias <bmacias@palosanto.com> 1.2-1
  - new module asterisk log.
  - In hylafax script (faxrcvd) and funtion, changed conexion database to fax.db. Now is with pdo.
  - Fixed bug in paloSantoTrunk.class.php, the format for customer trunk had a "AMP:" this prefix was replace for empty, this suggestion was report by Jaume Olivé.
  - Module backup/restore add file configs of FOP. 

* Wed Jun 26 2008 Adonis Figueroa <afigueroa@palosanto.com> 1.1-7
  - Module Address Book now permitt upload and download csv files.
  - All themes in elastix were changed for adaptation of modules, example call_center (agent console)
  - Help was updated to show the info of first son if it's a folder.

* Tue Jun 24 2008 Adonis Figueroa <afigueroa@palosanto.com>
  - Module Address Book was updated to report the emails in the internal directory (freepbx).
  - Fixed bug in the function _getNextAvailableDevId. This problem affected to the id of faxes
    when a fax was deleted and a new was created.
  - Module Address Book was updated to hide the column delete to internal directory. 

* Mon Jun 23 2008 Adonis Figueroa <afigueroa@palosanto.com> 
  - Module Address Book was updated to report the list of freepbx how internal directory and only to
    external directory you can add a register.

* Fri Jun 20 2008 Adonis Figueroa <afigueroa@palosanto.com> 
  - Module monitoring was updated to change the date obtained fom file OUT.*
  - Module extensions batch was updated to support the context data when you upload a batch.
  - There was a change to manage the help with the menu from session. The file menu.php was deleted.
    Moreover the users now can see only the help for their modules, not of anothers groups.

* Wed Jun 18 2008 Bruno Macias <bmacias@palosanto.com> 1.1-6
  - Version Stable 1.1

* Tue Jun 10 2008 Bruno Macias <bmacias@palosanto.com> 1.1-5
  - Add new language japanese.
  - Update language brazilian-portuguese, romanian
  - Update module pbxadmin menus.
  - new module recordings.
  - calendar better, now recordings record.
  - update validation version elastix in menuAdministrationElastix.
  - validation in menuAdministrationElastix for new tables in acl database exists (acl_profile_properties and acl_user_profile).
  - Module User Information, better validation in account webmail not defined.

* Fri Jun 06 2008 Bruno Macias <bmacias@palosanto.com>  1.1-4
  - Version 1.1 beta initial.
  - Add Prereq php-imap in this spec necessary for module user information (handler emails).
  - Add funcionality call in module address book.
  - In module calendar add context (see spec freePBX) for active gsm reproduce, module calendar agree this funcionality call extension user for avise calendar event.
  - User Information add reports of calendar event.
  - Module load module change format xml, support 3 level menus, also change implementation paloSantoModuleXML and paloSantoInstaller.

* Fri May 30 2008 Bruno Macias <bmacias@palosanto.com>  1.1-3
  - Add Prereq mod_ssl in this spec necessary for httpd port 443 where listen elastix.
  - New funcionality, webmail integrated in elastix login.

* Tue May 27 2008 Bruno Macias <bmacias@palosanto.com> 1.1-2
  - Standarization the conexion to databases, for all modules in elastix.
  - Initial changed for acopled new frameWork Elastix. 
  - Support in palosantoModuleXML for 3 level in menus.
  - PaloSantoNavigator better implementation in forms menus.
  - Version stable of module address book.
  - New FrameWork Elastix.
  - Updated language French.
  - Call Center language French updated.

* Tue May 20 2008 Bruno Macias <bmacias@palosanto.com> 1.1-1 
  - Version 1.1 alpha initial.
  - Add Prereq php-mysql in this spec.
  - Add Prereq RoundCubeMail in this spec.
  - Expresion regular in module hardware_detection better.
  - New module calendar.
  - New module user information.
  - New module address book.

* Mon Apr 28 2008 Bruno Macias <bmacias@palosanto.com>  1.0-17
  - More implementation in modules billing by developer Hetii. Add function for parse zapata.configs
  - Add fields in module New Virtual fax, area and country code. This fields are required.
  - Fixed Bug in module sysinfo, now accept more formats in partitions name.(Graphical disc image) 
  - Add validation in menuAdministrationElastix, exists columns country_code and area_code in database fax.db.
  - Add required rpm php-xml for elastix.

* Tue Apr 22 2008 Adonis Figueroa <afigueroa@palosanto.com>
  - Module Monitoring was changed to order by date.
  - Module Backup/Restore better interaction and better funcionality in make backup and restore.
  - Module Email - domain, fixed error for delete, modify and insert domain. 

* Mon Apr 21 2008 Bruno Macias <bmacias@palosanto.com> 
  - Fixed bug in billing_rates, in sqlite3 database rate.db add column trunk.
  - Fixed bug in Virtual Fax List, in palosantoFax.class.php fix validacion is_array to isset.
  - Updated language Persian.
  - In file menuAdministrationElastix add validation, alter table rate add column trunk TEXT;

* Wed Apr 19 2008 Bruno Macias <bmacias@palosanto.com> 1.0-16
  - Fixed Bug module monitoring, add new formats files.
  - New themes for web interface: al, slashdot and giox.
  - Modules billing_report and billing_rates better implementation do hetii (developer sourceforge). Before the rates are assosiated only prefix, Now the rates are assosiated with prefix and trunks.

* Wed Apr 09 2008 Bruno Macias <bmacias@palosanto.com> 1.0-15
  - This spec comment lines of create folder faxvisor, this folder is in modules elastix.
  - New language Catalan.
  - Update module Hardware Detection, now zapata.conf is more complete.

* Fri Apr 04 2008 Adonis Figueroa <afigueroa@palosanto.com> 
  - Module Extension Batch changed to support more parameters of VoiceMail.
  - Module GroupPermissions: Do not permit change the permissions of modules administratives to administrator group.

* Wed Apr 01 2008 Adonis Figueroa <afigueroa@palosanto.com> 1.0-14
  - Module Voicemail was changed to make the reports faster, and the admin can view all extensions.
  - Module CDRReport was changed, the users can view only their reports and the admin can view all reports.
  - Module monitoring was changed to make the reports faster.
  - Language Bulgarian updated.

* Wed Mar 26 2008 Bruno Macias <bmacias@palosanto.com> 1.0-13
  - Add language swedish.
  - Add words language for module Reports.
  - Help embedded updated.

* Tue Mar 25 2008 Bruno Macias <bmacias@palosanto.com> 1.0-12
  - Module cdrreport (Reports) add botton delete register.
  - Add Prereq elastix-sugarcrm

* Wed Mar 19 2008 Bruno Macias <bmacias@palosanto.com> 1.0-11
  - New dependency php-pear-DB and new rpm php-pear-DB..
  - Maintenaince of folder otherFiles/pear
  - Fixed warnning in the modules sources (maintenaince).
  - Files vtigerWrapper.php, schema.vtiger, sugarcrmWrapper.php and schema.sugarcrm move in rpms elastix-vtigercrm and elastix-sugarcrm.

* Wed Mar 19 2008 Bruno Macias <bmacias@palosanto.com> 1.0-10
  - New module extensions_batch
  - Fixed warnning and notices in source of modules. Better handler declared variables.
  - File Editor bug of seguridad file, fixed.

* Tue Mar 18 2008 Bruno Macias <bmacias@palosanto.com> 1.0-9
  - Maintenaince: /tmp/ replace for /usr/share/elastix/tmp/ suguest for zafiri
  - Also comment of funcionality old  deleted.
  - The elastix-1.0-9.tar.gz update menus ok.
  - Error and output standar handler in section Administration Menus and permission.

* Mon Mar 03 2008 Bruno Macias <bmacias@palosanto.com> 1.0-8
  - Add language Persian.
  - Finish implementation theme elastixwine

* Fri Feb 22 2008 Bruno Macias <bmacias@palosanto.com> 1.0-7
  - Add this spec Prereq nmap for module endpoints_configuration.
* Thu Feb 21 2008 Bruno Macias <bmacias@palosanto.com> 1.0-6
  - Fixed bug in telnet for atcom 320.
  - Module faxlist now show the ttyIAX number.
* Wed Feb 20 2008 Bruno Macias <bmacias@palosanto.com> 1.0-5
  - Module Conferences finish, add action kick all and invite caller, View number person in the conferences.
  - Module Endpoint Configuration, atcom provionality finish (model AT 320 and AT 530).
    Lynksys 841 ok provisional.
    Add filter for mask in subnet.
* Mon Feb 11 2008 Bruno Macias <bmacias@palosanto.com> 1.0-4
  - Add wrapper for finish instalation to module conference.
  - Module themes_system add funcionality of refresh smarty templates_c
  - Module endpoints_configuration add validation when the devices aren't created.
  - Add schema meetme in /var/www/html.
* Sat Feb 09 2008 Bruno Macias <bmacias@palosanto.com> 1.0-3
  - New Theme for elastix (elastixwine).
  - Add in spec freepbx resources (patch) for correct funcionality of modules call_center and conferences.
  - New module conferences
  - palosantoForm add field checkbox.
* Thu Feb 07 2008 Bruno Macias <bmacias@palosanto.com> 1.0-2
  - Version Alpha the elastix 1.0
  - Better funcionality module Load Module, this make for the module call center.
  - Add new words in the langs.
  - Better the frameWork paloSantoInstaler and paloSantoQueue
  - Note: In spec the freePBX 2.3.1.29 add patch for that function module call center.
  - Add validation in module Endpoint configuration. And better structure the file CFG of the endpoints.
* Wed Jan 30 2008 Bruno Macias <bmacias@palosanto.com> 1.0-1
  - Version alpha the elastix 1.0
  - New module DHCP Server
  - New module Endpoint Configuration
  - Add language hungarian.
  - Update language french.
  - New organization menu Network (Network Parameters and DHCP Server)
  - New functionality File Editor, add file and better search.  
  - Include zapata-channels.conf and zapata_additional.conf in zapata.conf
* Tue Dec 26 2007 Bruno Macias <bmacias@palosanto.com> 0.9.2-4
  - Add funcionality delete voicemails in module voicemails.
  - Add funcionality delete faxes pdf, in module fax visor.
  - Backup Restore fixed bug include palosantoFax.
  - Order desc the pdfs fax in module fax visor.
* Tue Dec 18 2007 Bruno Macias <bmacias@palosanto.com> 0.9.2-3
  - New funcionality in module file editor, now this files order by name and can be search by name file.
* Mon Dec 17 2007 Bruno Macias <bmacias@palosanto.com> 0.9.2-2
  - Fixed format valid for emails and domain in module Email. 
* Fri Dec 14 2007 Bruno Macias <bmacias@palosanto.com> 0.9.2-1
  - Add new language croata.
  - Fixed palosantoValidator, format valid regular expresion that valid emails, domain.
  - Add functionality hardware detection, now will be replaced zapata.conf file for personal file zapata elastix.
  - Fixed bug listen recordings and voicemails.
  - New order menus in the table. Tables affecct menu (menu.db) and acl_resorces (acl.db)
* Mon Dec 4 2007 Edgar Landivar <elandivar@palosanto.com> 0.9.1-4
  - Removing elastix-vtigercrm dependency
* Mon Dec 3 2007 Edgar Landivar <elandivar@palosanto.com> 0.9.1-3
  - The elastix-vtigercrm package was referenced in a bad way
* Mon Dec 3 2007 Edgar Landivar <elandivar@palosanto.com> 0.9.1-2
  - Change to handle better the fact that freepbx disable some modules that need upgrade
* Fri Nov 23 2007 Bruno Macias <bmacias@palosanto.com> 0.9.1-1
  - New module Fax-TemplateEmail for configuration data remitente and mail format. New lenguage for this module.
  - New module User Management-Group List for create new group user. New lenguage for this module
  - Add funcionality for module PBX-monitoring, now be can delete recordings.
  - Changes button name Activate by Accept. In module repositories the updates.
  - Update help Elatix embedded web interface. 
  - Change link menu openfire {IP_SERVER} by {NAME_SERVER}. Add funtion for get name server in palosantoNavigator.
  - Replace old menu ports_details for hardware_detection in menu.db.
* Wed Nov 21 2007 Bruno Macias <bmacias@palosanto.com> 0.9.0-18
  - Delete menus Backup, Restore and Backup List this menus obsolete. (Add functionality of this in seccion Administration)
* Tue Nov 20 2007 Bruno Macias <bmacias@palosanto.com> 0.9.0-17
  - Fixed bug in recording, add functionality for confguration record incoming or outgoing to always.
    Users administrator can see all recordings, the others user only yours.
    Change the groupd get database.
    This change will shows a gray bar when at least one freePBX module is disabled.
* Mon Nov 19 2007 Bruno Macias <bmacias@palosanto.com> 0.9.0-16
  - Update language bulgaro an fixed bug with the "Apply Changes" bar in the PBX menu
* Tue Nov 13 2007 Bruno Macias <bmacias@palosanto.com> 0.9.0-15
  - Update menus elastix and permission, funcionality better (this spec seccion Administration Menus and permission) and update of fax.db. Prereq elastix-vtigercrm
* Tue Nov 13 2007 Bruno Macias <bmacias@palosanto.com> 0.9.0-14
  - Update menus elastix and permission, funcionality better (this spec seccion Administration Menus and permission)
* Thu Nov 8 2007 Adonis Figueroa <afigueroa@palosanto.com> 0.9.0-13
  - Framed Spark in downloads section
* Wed Nov 7 2007 Adonis Figueroa <afigueroa@palosanto.com> 0.9.0-12
  - About Update, Version and Release
* Thu Nov 6 2007 Edgar Landivar <elandivar@palosanto.com> 0.9.0-10
  - Updated Prereq to freepbx 2.3.1-7
* Thu Nov 1 2007 Bruno Macias   <bmacias@palosanto.com> 0.9.0-9
  - Added wrapper for openfire, start service and  /sbin/chkconfig --level 2345 openfire on. elastix-0.9.0-9.tar.gz .
* Wed Oct 31 2007 Bruno Macias   <bmacias@palosanto.com> 0.9.0-8
  - Added wrapper for vtiger create database elastix-0.9.0-8.
* Tue Oct 30 2007 Bruno Macias   <bmacias@palosanto.com> 0.9.0-7
  - Added new menus in the help link package elastix-0.9.0-7.
* Mon Oct 29 2007 Bruno Macias   <bmacias@palosanto.com> 0.9.0-6
  - Changes in freePBX version 2.3 and inteface web freePBX is dual operation correction error.
* Fri Oct 26 2007 Bruno Macias   <bmacias@palosanto.com> 0.9.0-5
  - Changes in freePBX version 2.3 and inteface web freePBX is dual operation, standar format the version rpms.
* Thu Oct 25 2007 Bruno Macias   <bmacias@palosanto.com> 0.9-4
  - Add Link version Elastix, changes in the module Backup in this version elastix-0.9-4.tar.gz
* Mon Oct 22 2007 Bruno Macias   <bmacias@palosanto.com> 0.9-3
  - Add new modules and better funcionality in this version elastix-0.9-3.tar.gz
* Mon Oct 22 2007 Bruno Macias   <bmacias@palosanto.com> 0.9-2
  - Add new modules, changes order in menus in this version elastix-0.9-2.tar.gz
* Wed Oct 19 2007 Bruno Macias   <bmacias@palosanto.com> 0.9-1
  - Add new modules in this version elastix-0.9-1.tar.gz
* Tue Oct  9 2007 Edgar Landivar <elandivar@palosanto.com> 0.9.0-1
  - Hylafax changes removed. These changes should be made in the hylafax RPM.
